import { IDynamicVariable } from "./chatVariables.js";
import { IToolAndToolSetEnablementMap } from "./languageModelToolsService.js";
export declare const IChatVariablesService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IChatVariablesService>;
export interface IChatVariablesService {
    _serviceBrand: undefined;
    getDynamicVariables(sessionId: string): ReadonlyArray<IDynamicVariable>;
    getSelectedToolAndToolSets(sessionId: string): IToolAndToolSetEnablementMap;
}
